Bug 468414 - Review Request: hamcrest - Hamcrest matcher object framework
Review Request: hamcrest - Hamcrest matcher object framework
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Permaine Cheung
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-24 12:41 EDT by David Walluck
Modified: 2008-11-21 11:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-21 11:27:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pcheung: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)
build log (36.93 KB, text/x-log)
2008-10-24 14:48 EDT, Permaine Cheung
no flags Details

  None (edit)
Description David Walluck 2008-10-24 12:41:33 EDT
Spec URL: <http://zarb.org/~david/hamcrest.spec>
SRPM URL: <http://zarb.org/~david/hamcrest-1.1-2.jpp5.src.rpm>
Description :
Provides a library of matcher objects (also known as
constraints or predicates) allowing 'match' rules to
be defined declaratively, to be used in other frameworks.
Typical scenarios include testing frameworks, mocking
libraries and UI validation rules.
Comment 1 David Walluck 2008-10-24 12:42:17 EDT
This package is required by junit4 4.4 and later.
Comment 2 Permaine Cheung 2008-10-24 13:03:21 EDT
I'll take this one.
Comment 3 Permaine Cheung 2008-10-24 14:48:06 EDT
Created attachment 321455 [details]
build log
Comment 4 Permaine Cheung 2008-10-24 14:49:01 EDT
I can't build this in mock (fedora-devel-i386), please see attached build.log.
Comment 5 Permaine Cheung 2008-10-24 17:48:48 EDT
Naming: OK
Licensing: OK
No inclusion of pre-built binaries or libraries: OK
Filesystem layout: OK
No Packager, Vendor tag: OK
Summary tag not ending with a period: OK
Source tag: OK (md5sum matches)
Buildroot tag: OK
%install begins with removing buildroot: OK
Changelog: OK

Jar file naming: OK
Directory structure: OK
BuildRequires and Requires:  OK
Comment 6 Permaine Cheung 2008-10-24 18:23:34 EDT
Running rpmlint against the mock built rpms:
rpmlint /var/lib/mock/fedora-development-i386/result/*rpm
hamcrest.i386: W: non-conffile-in-etc /etc/maven/fragments/hamcrest
hamcrest-demo.i386: W: no-documentation

rpm -qp --provides hamcrest-1.1-5.1.fc10.i386.rpm
all-1.1.jar.so  
hamcrest = 0:1.1-5.1.fc10
hamcrest(x86-32) = 0:1.1-5.1.fc10

Is the Provides for all-1.1.jar.so correct?
Comment 7 David Walluck 2008-10-24 18:44:56 EDT
hamcrest.i386: W: non-conffile-in-etc

This is a bug in maven, as this file is not really a config file.

hamcrest-demo.i386: W: no-documentation

The demo depends on the main package, which contains the license. Otherwise, there is no other documentation.

The all-1.1.jar.so was added automatically. It seems kind of weird.
Comment 8 Permaine Cheung 2008-10-24 22:51:36 EDT
Links for the spec file and SRPM that builds successfully: http://zarb.org/~david/hamcrest.spec
http://zarb.org/~david/hamcrest-1.1-5.1.jpp5.src.rpm

APPROVED
Comment 9 David Walluck 2008-10-25 11:23:36 EDT
New Package CVS Request
=======================
Package Name: hamcrest
Short Description: Hamcrest matcher object framework
Owners: dwalluck
Branches: F-10
InitialCC:
Comment 10 Dennis Gilmore 2008-10-27 00:13:51 EDT
CVS Done

Note You need to log in before you can comment on or make changes to this bug.